Summary:	A tool for adjusting the volume of wave files
Name:		normalize
Version:	0.7.7
Release:	%mkrel 24
Source0:	%{name}-%{version}.tar.bz2
Patch0:		compressed-wav-files.dpatch
Patch1:		fix-flac.dpatch
Patch2:		normalize-0.7.7-audiofile-pkgconfig.patch
Patch3:		normalize-0.7.7-m4.patch
Patch4:		normalize-0.7.7-mdv-fix-local-config.patch
Patch5:		normalize-0.7.7-automake-1.13.patch
Patch6:		normalize-autoconf.patch
License:	GPLv2+
URL:		https://normalize.nongnu.org/
Group:		Sound/Editors and Converters
BuildRequires:	pkgconfig(audiofile)
BuildRequires:	pkgconfig(mad)
BuildRequires:	gettext-devel
Requires:	mpg123
Requires:	vorbis-tools

%description
normalize is an overly complicated tool for adjusting the volume of
wave files to a standard volume level.  This is useful for things like
creating mp3 mixes, where different recording levels on different
albums can cause the volume to vary greatly from song to song.

%prep

%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p0
%patch4 -p1
%patch5 -p1 -b .automake-1_13
%patch6 -p1

%build
autoreconf -fi -I m4
%configure \
	--with-audiofile \
	--disable-xmms
%make_build

%install
%make_install
%{find_lang} %{name}

%files -f %{name}.lang
%doc README NEWS THANKS TODO
%_bindir/*
%_mandir/man1/normalize*


%changelog
* Sat Mar 19 2022 umeabot <umeabot> 0.7.7-24.mga9
+ Revision: 1799806
- Mageia 9 Mass Rebuild

* Thu Nov 05 2020 wally <wally> 0.7.7-23.mga8
+ Revision: 1642905
- fix build with autoconf 2.69d

* Thu Feb 13 2020 umeabot <umeabot> 0.7.7-22.mga8
+ Revision: 1515517
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x
- replace deprecated %%makeinstall_std

* Sun Sep 23 2018 umeabot <umeabot> 0.7.7-21.mga7
+ Revision: 1299785
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 luigiwalser <luigiwalser> 0.7.7-20.mga6
+ Revision: 1022563
- rebuild with fixed libmad

* Wed Jun 15 2016 zezinho <zezinho> 0.7.7-19.mga6
+ Revision: 1021502
- fix requires for normalize-mp3 and normalize-ogg

* Fri Feb 05 2016 umeabot <umeabot> 0.7.7-18.mga6
+ Revision: 938444
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.7.7-17.mga5
+ Revision: 746076
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.7-16.mga5
+ Revision: 682916
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.7.7-15.mga4
+ Revision: 508301
- Mageia 4 Mass Rebuild
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 06 2013 cjw <cjw> 0.7.7-13.mga3
+ Revision: 339988
- patch5: fix build with automake 1.13

* Sat Dec 01 2012 malo <malo> 0.7.7-12.mga3
+ Revision: 324500
- update RPM group

* Fri Jul 13 2012 solbu <solbu> 0.7.7-11.mga3
+ Revision: 270530
- Fixed broken local configuration
- Fix License
- Spec cleanup

* Thu Jan 12 2012 fwang <fwang> 0.7.7-10.mga2
+ Revision: 195312
- fix patch
- add gentoo patch
- add gentoo patch to fix build with latest audiofile
- rebuild for new audiofile

* Mon Feb 07 2011 mikala <mikala> 0.7.7-9.mga1
+ Revision: 48779
- imported package normalize


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.7-9mdv2011.0
+ Revision: 606824
- rebuild

* Wed Jan 13 2010 Oden Eriksson <oeriksson@mandriva.com> 0.7.7-8mdv2010.1
+ Revision: 490983
- added two debian patches from normalize-audio_0.7.7-6.diff.gz

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.7.7-7mdv2010.0
+ Revision: 426253
- rebuild

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 0.7.7-6mdv2009.1
+ Revision: 351635
- rebuild

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 0.7.7-5mdv2009.0
+ Revision: 223347
- rebuild

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.7.7-3mdv2008.1
+ Revision: 153285
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Aug 04 2007 Anssi Hannula <anssi@mandriva.org> 0.7.7-2mdv2008.0
+ Revision: 58960
- add xmms build option for the xmms plugin, disable by default


* Tue Jan 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.7.7-1mdv2007.0
+ Revision: 112550
- New version 0.7.7

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0.7.6-7mdv2007.1
+ Revision: 108135
- Import normalize

* Fri Jan 12 2007 Götz Waschk <waschk@mandriva.org> 0.7.6-7mdv2007.1
- rebuild

* Sun Oct 02 2005 Couriousous <couriousous@mandriva.org> 0.7.6-7mdk
- Try to fix x86_64 build ( aka autotools breakage )

* Wed Oct 27 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.7.6-6mdk
- rebuild

